XmLArraySort(3X)

NAME
XmLArraySort - sort an array

SYNTAX
int XmLArraySort(array, compare, userData, pos, count)
XmLArray array;
XmLArrayCompareFunc compare;
void *userData;
int pos;
int count;

ARGUMENTS

array
    the array to sort

compare
    the comparison function for pointers in the array

userData
    an application defined pointer to pass to the sort function

pos start position in array to sort

count
    number of items in array to sort

DESCRIPTION
Sorts count number of elements starting at position pos in array using the compare function given. The userData argument is passed as data to the comparison function.

RETURN VALUE
0 upon success and -1 upon failure (a value passed is out of range).

SEE ALSO
XmLArrayAdd(3X) XmLArrayDel(3X) XmLArrayFree(3X) XmLArrayGet(3X) XmLArrayGetCount(3X) XmLArrayMove(3X) XmLArrayNew(3X) XmLArrayReorder(3X) XmLArraySet(3X)